
BtWQuestsDatabase:AddChain(BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_ALLIANCE_PRIDE_OF_KULTIRAS, {
    name = { -- The Pride of Kul Tiras
        type = "achievement",
        id = 12997,
    },
    category = nil,
    expansion = BTWQUESTS_EXPANSION_BATTLE_FOR_AZEROTH,
    major = true,
    range = {110,120},
    restrictions = {
        type = "faction",
        id = BTWQUESTS_FACTION_ID_ALLIANCE,
    },
    prerequisites = {
        {
            type = "achievement",
            id = 12473,
            anyone = true,
        },
        {
            type = "achievement",
            id = 12497,
            anyone = true,
        },
        {
            type = "achievement",
            id = 12496,
            anyone = true,
        },
    },
    completed = {
        type = "quest",
        id = 51445,
    },
    rewards = {
        {
            name = "Siege of Boralus Dungeon Unlocked"
        },
    },
    items = {
        {
            name = {
                type = "achievement",
                id = 12473,
            },
            type = "category",
            id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_TIRAGARDE_SOUND,
            completed = {
                type = "achievement",
                id = 12473,
                anyone = true,
            },
            x = 1,
            y = 0,
            connections = {
                3,
            },
        },
        {
            name = {
                type = "achievement",
                id = 12497,
            },
            type = "category",
            id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_DRUSTVAR,
            completed = {
                type = "achievement",
                id = 12497,
                anyone = true,
            },
            x = 3,
            y = 0,
            connections = {
                2,
            },
        },
        {
            name = {
                type = "achievement",
                id = 12496,
            },
            type = "category",
            id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_STORMSONG_VALLEY,
            completed = {
                type = "achievement",
                id = 12496,
                anyone = true,
            },
            x = 5,
            y = 0,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52194,
            x = 3,
            y = 1,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52246,
            x = 3,
            y = 2,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52762,
            x = 3,
            y = 3,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52252,
            x = 3,
            y = 4,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52253,
            x = 3,
            y = 5,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52311,
            x = 3,
            y = 6,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52445,
            x = 3,
            y = 7,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52449,
            x = 3,
            y = 8,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52453,
            x = 3,
            y = 9,
            connections = {
                1, 2,
            },
        },

        {
            type = "quest",
            id = 52509,
            x = 2,
            y = 10,
            connections = {
                2,
            },
        },
        {
            type = "quest",
            id = 52508,
            x = 4,
            y = 10,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52510,
            x = 3,
            y = 11,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52511,
            x = 3,
            y = 12,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52512,
            x = 3,
            y = 13,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52513,
            x = 3,
            y = 14,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52481,
            x = 3,
            y = 15,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52482,
            x = 3,
            y = 16,
            connections = {
                1, 2, 3,
            },
        },
        
        {
            type = "quest",
            id = 52483,
            x = 1,
            y = 17,
            connections = {
                3,
            },
        },
        {
            type = "quest",
            id = 52484,
            x = 3,
            y = 17,
            connections = {
                2,
            },
        },
        {
            type = "quest",
            id = 52485,
            x = 5,
            y = 17,
            connections = {
                1,
            },
        },
        
        {
            type = "quest",
            id = 52486,
            x = 3,
            y = 18,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52487,
            x = 3,
            y = 19,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52488,
            x = 3,
            y = 20,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 51445,
            x = 3,
            y = 21,
            connections = {
                1,
            },
        },
        {
            type = "chain",
            id = BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_ALLIANCE_A_NATION_UNITED,
            aside = true,
            x = 3,
            y = 22,
        },
    },
})
BtWQuestsDatabase:AddChain(BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_ALLIANCE_A_NATION_UNITED, {
    name = { -- A Nation United
        type = "achievement",
        id = 12891,
    },
    category = nil,
    expansion = BTWQUESTS_EXPANSION_BATTLE_FOR_AZEROTH,
    major = true,
    range = {110,120},
    restrictions = {
        type = "faction",
        id = BTWQUESTS_FACTION_ID_ALLIANCE,
    },
    prerequisites = {
        {
            type = "achievement",
            id = 12473,
            anyone = true,
        },
        {
            type = "achievement",
            id = 12497,
            anyone = true,
        },
        {
            type = "achievement",
            id = 12496,
            anyone = true,
        },
        {
            type = "chain",
            id = BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_ALLIANCE_PRIDE_OF_KULTIRAS,
        },
    },
    completed = {
        type = "quest",
        id = 52151,
    },
    items = {
        {
            type = "category",
            id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_TIRAGARDE_SOUND,
            completed = {
                type = "achievement",
                id = 12473,
                anyone = true,
            },
            x = 1,
            y = 0,
            connections = {
                3,
            },
        },
        {
            type = "category",
            id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_DRUSTVAR,
            completed = {
                type = "achievement",
                id = 12497,
                anyone = true,
            },
            x = 3,
            y = 0,
            connections = {
                2,
            },
        },
        {
            type = "category",
            id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_STORMSONG_VALLEY,
            completed = {
                type = "achievement",
                id = 12496,
                anyone = true,
            },
            x = 5,
            y = 0,
            connections = {
                1,
            },
        },
        {
            type = "chain",
            id = BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_ALLIANCE_PRIDE_OF_KULTIRAS,
            x = 3,
            y = 1,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52153,
            x = 3,
            y = 2,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 52151,
            x = 3,
            y = 3,
        },
        {
            type = "quest",
            id = 53128,
            aside = true,
            x = 5,
            y = 3,
        },
    },
})
BtWQuestsDatabase:AddChain(BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_HORDE_A_BARGIN_OF_BLOOD, {
    name = {
        type = "achievement",
        id = 12480,
    },
    category = nil,
    expansion = BTWQUESTS_EXPANSION_BATTLE_FOR_AZEROTH,
    major = true,
    range = {110,120},
    restrictions = {
        type = "faction",
        id = BTWQUESTS_FACTION_ID_HORDE,
    },
    prerequisites = {
        {
            type = "achievement",
            id = 11861,
            anyone = true,
        },
        {
            type = "achievement",
            id = 11868,
            anyone = true,
        },
    },
    completed = {
        type = "quest",
        id = 47229,
    },
    items = {
        {
            name = {
                type = "achievement",
                id = 11861,
            },
            type = "category",
            id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_ZULDAZAR,
            completed = {
                type = "achievement",
                id = 11861,
                anyone = true,
            },
            x = 2,
            y = 0,
            connections = {
                2, 
            },
        },
        {
            name = {
                type = "achievement",
                id = 11868,
            },
            type = "category",
            id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_NAZMIR,
            completed = {
                type = "achievement",
                id = 11868,
                anyone = true,
            },
            x = 4,
            y = 0,
            connections = {
                1, 
            },
        },
        {
            type = "quest",
            id = 47199,
            x = 3,
            y = 1,
            connections = {
                1, 2,
            },
        },
        {
            type = "quest",
            id = 47200,
            x = 2,
            y = 2,
            connections = {
                2,
            },
        },
        {
            type = "quest",
            id = 47198,
            x = 4,
            y = 2,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 47201,
            x = 3,
            y = 3,
            connections = {
                1, 2,
            },
        },
        {
            type = "quest",
            id = 47204,
            x = 2,
            y = 4,
            connections = {
                2, 
            },
        },
        {
            type = "quest",
            id = 47205,
            x = 4,
            y = 4,
            connections = {
                1, 
            },
        },
        {
            type = "quest",
            id = 47229,
            x = 3,
            y = 5,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 47258,
            aside = true,
            x = 3,
            y = 6,
        },
    },
})
BtWQuestsDatabase:AddChain(BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_HORDE_ZANDALAR_FOREVER, {
    name = { -- Zandalar Forever!
        type = "quest",
        id = 50954,
    },
    category = nil,
    expansion = BTWQUESTS_EXPANSION_BATTLE_FOR_AZEROTH,
    major = true,
    range = {110,120},
    restrictions = {
        type = "faction",
        id = BTWQUESTS_FACTION_ID_HORDE,
    },
    prerequisites = {
        {
            type = "achievement",
            id = 11861,
            anyone = true,
        },
        {
            type = "achievement",
            id = 11868,
            anyone = true,
        },
        {
            type = "achievement",
            id = 12478,
            anyone = true,
        },
        {
            type = "chain",
            id = BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_HORDE_A_BARGIN_OF_BLOOD,
        },
    },
    completed = {
        type = "quest",
        id = 50954,
    },
    rewards = {
        {
            name = "King's Rest Dungeon Unlocked"
        },
    },
    items = {
        {
            name = {
                type = "achievement",
                id = 11861,
            },
            type = "category",
            id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_ZULDAZAR,
            completed = {
                type = "achievement",
                id = 11861,
                anyone = true,
            },
            x = 3,
            y = 0,
            connections = {
                3, 
            },
        },
        {
            name = {
                type = "achievement",
                id = 11868,
            },
            type = "category",
            id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_NAZMIR,
            completed = {
                type = "achievement",
                id = 11868,
                anyone = true,
            },
            x = 5,
            y = 0,
            connections = {
                2, 
            },
        },
        {
            name = {
                type = "achievement",
                id = 12478,
            },
            type = "category",
            id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_VOLDUN,
            completed = {
                type = "achievement",
                id = 12478,
                anyone = true,
            },
            x = 2,
            y = 1,
            connections = {
                2, 
            },
        },
        {
            type = "chain",
            id = BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_HORDE_A_BARGIN_OF_BLOOD,
            x = 4,
            y = 1,
            connections = {
                1,
            },
        },
        {
            name = "Go to King Rastakhan",
            onClick = function ()
                BtWQuests_ShowMapWithWaypoint(862, 0.600533, 0.222359, "King Rastakhan")
            end,
            breadcrumb = true,
            x = 3,
            y = 2,
            connections = {
                1,
            },
        },
        {
            type = "quest",
            id = 50954,
            x = 3,
            y = 3,
        },
    },
})
-- Added like this to make sure the characters factions zones are first
BtWQuestsDatabase:AddExpansionItems(BTWQUESTS_EXPANSION_BATTLE_FOR_AZEROTH, {
    {
        type = "category",
        id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_TIRAGARDE_SOUND,
        restrictions = {
            type = "faction",
            id = BTWQUESTS_FACTION_ID_ALLIANCE,
        },
    },
    {
        type = "category",
        id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_DRUSTVAR,
        restrictions = {
            type = "faction",
            id = BTWQUESTS_FACTION_ID_ALLIANCE,
        },
    },
    {
        type = "category",
        id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_STORMSONG_VALLEY,
        restrictions = {
            type = "faction",
            id = BTWQUESTS_FACTION_ID_ALLIANCE,
        },
    },

    {
        type = "category",
        id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_ZULDAZAR,
    },
    {
        type = "category",
        id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_NAZMIR,
    },
    {
        type = "category",
        id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_VOLDUN,
    },

    {
        type = "category",
        id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_TIRAGARDE_SOUND,
        restrictions = {
            type = "faction",
            id = BTWQUESTS_FACTION_ID_HORDE,
        },
    },
    {
        type = "category",
        id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_DRUSTVAR,
        restrictions = {
            type = "faction",
            id = BTWQUESTS_FACTION_ID_HORDE,
        },
    },
    {
        type = "category",
        id = BTWQUESTS_CATEGORY_BATTLE_FOR_AZEROTH_STORMSONG_VALLEY,
        restrictions = {
            type = "faction",
            id = BTWQUESTS_FACTION_ID_HORDE,
        },
    },
    {
        type = "chain",
        id = BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_ALLIANCE_PRIDE_OF_KULTIRAS,
    },
    {
        type = "chain",
        id = BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_ALLIANCE_A_NATION_UNITED,
    },
    {
        type = "chain",
        id = BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_HORDE_A_BARGIN_OF_BLOOD,
    },
    {
        type = "chain",
        id = BTWQUESTS_CHAIN_BATTLE_FOR_AZEROTH_HORDE_ZANDALAR_FOREVER,
    },
})